void main( void)
{

int &fighting = 0;
if (&story < 15)
{
        preload_seq(24);
        preload_seq(161);
        init("load_sequence_now graphics\effects\magic\seth1w 581 75 43 133 -19 -16 23 16");
        init("load_sequence_now graphics\effects\magic\seth3w 583 75 44 126 -21 -21 19 16");
        init("load_sequence_now graphics\effects\magic\seth7w 587 75 42 123 -21 -16 18 16");
        init("load_sequence_now graphics\effects\magic\seth9w 589 75 44 125 -20 -16 20 16");
        init("load_sequence_now graphics\effects\magic\pose 580 75 41 129 -30 -16 31 10");
  return;
 }

sp_active(&current_sprite, 0);
}
  void talk (void)
  {

if (&story > 14)
  {
   say("可怜的 Milder.",1);
   return;
  }

if (&fighting == 1)
  {
   say("Milder，快起来帮我啊！",1);
   return;
  }


    freeze(1);
   say_stop("Milder!  Milder!", 1);
   &fighting = 1;
   wait(300);
   say_stop_xy("`6<挣扎>", 20, 180);
   wait(300);
   say_stop("你听得到我吗？", 1);
   wait(300);
   say_stop_xy("`6..养..养猪的...是你面？", 20, 180);
   wait(300);
   say_stop("是啊！", 1);
   wait(300);
   say_stop("额，不，告诉我发生了什么事！", 1);
   wait(300);
   say_stop_xy("`6..我..我被一个恶魔留在了这里..", 20, 180);
   wait(300);
   say_stop("是Cast吗？", 1);
   wait(300);
   say_stop_xy("`6..不，不是..", 20, 180);
   wait(300);
   say_stop_xy("`6..Cast 只是表面.. 他，才是完完全全的恶魔。", 20, 180);
   wait(300);
   say_stop_xy("`6..快，快逃吧，趁现在还不晚..", 20, 180);
   wait(300);
choice_start();
"拒绝留他一人在此"
"听Milder的"
choice_end();
   wait(300);

if (&result == 1)
  {
   say_stop("我不能留你在此， Milder.", 1);
   wait(300);
   say_stop_xy("`6..可是，为什么？我可没对你好过...", 20, 180);
   wait(300);
   say_stop("这是一个战士应该做的。", 1);
   wait(300);
   say_stop_xy("`6..哎，丁克，你比我更像个骑士...", 20, 180);
   wait(300);
   say_stop("瞎说，你能动吗？", 1);
   wait(300);
   say_stop_xy("`6..我，还可以，吧，拉着..", 20, 180);
  }


if (&result == 2)
  {
   say_stop("那好吧，永别了。", 1);
   wait(300);
   say_stop_xy("`6..恩，我明白..告诉 Lyna 我的爱...", 20, 180);
   wait(300);
   say_stop("告诉她？ 哈哈，我会亲自表现给她看的！啊哈哈哈哈哈！", 1);
   wait(300);
   say_stop_xy("`6..你！！你混蛋！！...哎，可我一点力气都没...了", 20, 180);
  }

wait(1000);
playsound(24, 22052, 0, 0, 0);
int &mcrap = create_sprite(320, 100, 7, 167, 1);
sp_seq(&mcrap, 167);
wait(200);
&temp1hold = create_sprite(320, 150,0, 580, 1);


int &crap = get_burn();

if (&crap == 0)
playmidi("1004");
if (&crap > 0)
playmidi("1015");

wait(1000);
 say_stop_xy("`6不！！！是，是他！！", 20, 180);
 wait(300);
say_stop("什么，你是什么个东西？", 1);
wait(300);
say_stop("`%嘿嘿嘿，我是一切毁灭的开端，世间的恶魔。", &temp1hold);
wait(300);
 say_stop_xy("`6..丁克，干掉他...干掉他...", 20, 180);
wait(300);
say_stop("`%我是你所爱的一切，", &temp1hold);
wait(300);
say_stop("`%也是你憎恨的一切，", &temp1hold);
wait(300);
say_stop("你恶心到底，你是砖家！", 1);
wait(300);
say_stop_xy("`6..他，他叫Seth.. 是古老一族的人...大家都是被他所杀..", 20, 180);
wait(300);
say("`4<爆炸>", &temp1hold);
int &bomb = create_sprite(329, 256, 7,161,1);
sp_seq(&bomb, 161);
playsound(6, 22050, 0,0,0);

say_stop_xy("`6啊..", 20, 180);
wait(300);
say_stop("Milder?", 1);
wait(300);
say_stop("`4<邪恶地朝着你笑>", &temp1hold);
wait(300);
say_stop("为了上天，国王，为了一切美好的事物，我要消灭你 SETH！受死吧！", 1);

sp_script(&temp1hold, "s7-boss");
unfreeze(1);

  }
